Create Coupon
curl --request POST \
--url https://api.example.com/wp-json/latepoint-api/v1/coupons \
--header 'Content-Type: application/json' \
--data '
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"discount_type": "<string>",
"discount_value": 123,
"status": "<string>",
"active_from": "<string>",
"active_to": "<string>",
"usage_limit": 123,
"min_order_amount": 123,
"max_discount_amount": 123
}
'import requests
url = "https://api.example.com/wp-json/latepoint-api/v1/coupons"
payload = {
"code": "<string>",
"name": "<string>",
"description": "<string>",
"discount_type": "<string>",
"discount_value": 123,
"status": "<string>",
"active_from": "<string>",
"active_to": "<string>",
"usage_limit": 123,
"min_order_amount": 123,
"max_discount_amount": 123
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
code: '<string>',
name: '<string>',
description: '<string>',
discount_type: '<string>',
discount_value: 123,
status: '<string>',
active_from: '<string>',
active_to: '<string>',
usage_limit: 123,
min_order_amount: 123,
max_discount_amount: 123
})
};
fetch('https://api.example.com/wp-json/latepoint-api/v1/coupons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Coupons
Create Coupon
Create a new coupon.
POST
/
wp-json
/
latepoint-api
/
v1
/
coupons
Create Coupon
Required Parameters
string
required
Unique coupon code
string
required
Display name for the coupon
Optional Parameters
string
Description of the coupon
string
default:"percent"
Type of discount. Available values:
percent, fixed_amountnumber
default:"0"
Discount value (percentage or fixed amount)
string
default:"active"
Coupon status. Available values:
active, inactivestring
Start date for coupon validity (YYYY-MM-DD format)
string
End date for coupon validity (YYYY-MM-DD format)
integer
default:"0"
Maximum number of uses (0 = unlimited)
number
default:"0"
Minimum order amount required to use coupon
number
default:"0"
Maximum discount amount (for percentage discounts)
Example Request
POST /wp-json/latepoint-api/v1/coupons
Authorization: Bearer YOUR_API_KEY
Content-Type: application/json
{
"code": "TEST2025",
"name": "Test Coupon 2025",
"description": "Test coupon for API testing",
"discount_type": "percent",
"discount_value": 15,
"status": "active"
}
Response
{
"success": true,
"message": "Coupon created successfully",
"data": {
"id": 7,
"code": "TEST2025",
"name": "Test Coupon 2025",
"description": "Test coupon for API testing",
"discount_type": "percent",
"discount_value": 15,
"status": "active",
"active_from": "",
"active_to": "",
"usage_limit": 0,
"min_order_amount": 0,
"max_discount_amount": 0,
"created_at": "2025-08-21 11:07:00",
"updated_at": "2025-08-21 11:07:00"
}
}
⌘I
